/*
CVE Services API

The CVE Services API supports automation tooling for the CVE Program. Credentials are     required for most service endpoints. Representatives of     <a href='https://www.cve.org/ProgramOrganization/CNAs'>CVE Numbering Authorities (CNAs)</a> should     use one of the methods below to obtain credentials:    <ul><li>If your organization already has an Organizational Administrator (OA) account for the CVE     Services, ask your admin for credentials</li>     <li>Contact your Root (<a href='https://www.cve.org/PartnerInformation/ListofPartners/partner/Google'>Google</a>,     <a href='https://www.cve.org/PartnerInformation/ListofPartners/partner/INCIBE'>INCIBE</a>,     <a href='https://www.cve.org/PartnerInformation/ListofPartners/partner/jpcert'>JPCERT/CC</a>, or     <a href='https://www.cve.org/PartnerInformation/ListofPartners/partner/redhat'>Red Hat</a>) or     Top-Level Root (<a href='https://www.cve.org/PartnerInformation/ListofPartners/partner/icscert'>CISA ICS</a>     or <a href='https://www.cve.org/PartnerInformation/ListofPartners/partner/mitre'>MITRE</a>) to request credentials     </ul>     <p>CVE data is to be in the JSON 5.0 CVE Record format. Details of the JSON 5.0 schema are     located <a href='https://github.com/CVEProject/cve-schema/tree/master/schema/v5.0' target='_blank'>here</a>.</p>    <a href='https://cveform.mitre.org/' class='link' target='_blank'>Contact the CVE Services team</a>

API version: 2.1.4
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package cveapi

import (
	"encoding/json"
)

// checks if the CreateOrgRequestPolicies type satisfies the MappedNullable interface at compile time
var _ MappedNullable = &CreateOrgRequestPolicies{}

// CreateOrgRequestPolicies struct for CreateOrgRequestPolicies
type CreateOrgRequestPolicies struct {
	// The CVE ID quota of the organization
	IdQuota *int32 `json:"id_quota,omitempty"`
}

// NewCreateOrgRequestPolicies instantiates a new CreateOrgRequestPolicies object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewCreateOrgRequestPolicies() *CreateOrgRequestPolicies {
	this := CreateOrgRequestPolicies{}
	return &this
}

// NewCreateOrgRequestPoliciesWithDefaults instantiates a new CreateOrgRequestPolicies object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewCreateOrgRequestPoliciesWithDefaults() *CreateOrgRequestPolicies {
	this := CreateOrgRequestPolicies{}
	return &this
}

// GetIdQuota returns the IdQuota field value if set, zero value otherwise.
func (o *CreateOrgRequestPolicies) GetIdQuota() int32 {
	if o == nil || IsNil(o.IdQuota) {
		var ret int32
		return ret
	}
	return *o.IdQuota
}

// GetIdQuotaOk returns a tuple with the IdQuota field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *CreateOrgRequestPolicies) GetIdQuotaOk() (*int32, bool) {
	if o == nil || IsNil(o.IdQuota) {
		return nil, false
	}
	return o.IdQuota, true
}

// HasIdQuota returns a boolean if a field has been set.
func (o *CreateOrgRequestPolicies) HasIdQuota() bool {
	if o != nil && !IsNil(o.IdQuota) {
		return true
	}

	return false
}

// SetIdQuota gets a reference to the given int32 and assigns it to the IdQuota field.
func (o *CreateOrgRequestPolicies) SetIdQuota(v int32) {
	o.IdQuota = &v
}

func (o CreateOrgRequestPolicies) MarshalJSON() ([]byte, error) {
	toSerialize,err := o.ToMap()
	if err != nil {
		return []byte{}, err
	}
	return json.Marshal(toSerialize)
}

func (o CreateOrgRequestPolicies) ToMap() (map[string]interface{}, error) {
	toSerialize := map[string]interface{}{}
	if !IsNil(o.IdQuota) {
		toSerialize["id_quota"] = o.IdQuota
	}
	return toSerialize, nil
}

type NullableCreateOrgRequestPolicies struct {
	value *CreateOrgRequestPolicies
	isSet bool
}

func (v NullableCreateOrgRequestPolicies) Get() *CreateOrgRequestPolicies {
	return v.value
}

func (v *NullableCreateOrgRequestPolicies) Set(val *CreateOrgRequestPolicies) {
	v.value = val
	v.isSet = true
}

func (v NullableCreateOrgRequestPolicies) IsSet() bool {
	return v.isSet
}

func (v *NullableCreateOrgRequestPolicies) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableCreateOrgRequestPolicies(val *CreateOrgRequestPolicies) *NullableCreateOrgRequestPolicies {
	return &NullableCreateOrgRequestPolicies{value: val, isSet: true}
}

func (v NullableCreateOrgRequestPolicies) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableCreateOrgRequestPolicies) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


